package com.iformall.service.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.TtMerchantPoi;
import com.iformall.mapper.TtMerchantPoiMapper;
import com.iformall.service.TtMerchantPoiService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * @author gongbiao
 */
@Service
public class TtMerchantPoiServiceImpl implements TtMerchantPoiService {

    private final Logger logger = LoggerFactory.getLogger(this.getClass());

    @Autowired
    TtMerchantPoiMapper ttMerchantPoiMapper;


    @Override
    public PageInfo<TtMerchantPoi> listAsPage(TtMerchantPoi record, Integer pageIndex, Integer pageSize) {
        return PageHelper.startPage(pageIndex, pageSize).doSelectPageInfo(() -> ttMerchantPoiMapper.findList(record));
    }

    @Override
    public TtMerchantPoi getById(Long id) {
        return ttMerchantPoiMapper.selectById(id);
    }


}
